home *** CD-ROM | disk | FTP | other *** search
/ ASME's Mechanical Engine…ing Toolkit 1997 December / ASME's Mechanical Engineering Toolkit 1997 December.iso / auto_cad / tht.lsp < prev    next >
Text File  |  1988-08-11  |  2KB  |  49 lines

  1.  
  2. (defun texht (lyr sty thr nsz / ent nnt)
  3.  (prompt "\nScanning the entity database...")
  4.  (setq ename (entnext))
  5.   (while ename
  6.    (setq ent (entget ename))
  7.     (if 
  8.        (and   
  9.           (= (cdr(assoc 0 ent)) "TEXT")
  10.           (if (= lyr "") T (=(cdr(assoc 8 ent)) lyr))
  11.           (if (= sty "") T (=(cdr(assoc 7 ent)) sty))   
  12.           (if (null thr) T (=(cdr(assoc 40 ent)) thr))
  13.        )
  14.           (progn
  15.             (setq nnt (subst (cons 40 nsz) (assoc 40 ent) ent))
  16.             (entmod nnt)
  17.           )
  18.     )
  19.      (setq ename (entnext (cdar ent)))
  20.   )
  21. )
  22.  
  23.  
  24. (defun c:tht (/ lyr sty thr)
  25.  (if 
  26.   (null (setq ent(car(entsel "Pick an entity or <RETURN> to specify : "))))
  27.    (progn
  28.     (setq lyr (strcase (getstring "  Layer name for changed text <All>: ")))
  29.     (setq sty (strcase (getstring "  Style name for changed text <All>: ")))
  30.     (setq thr (getreal "    Text height to search for <All>: "))
  31.    )
  32.    (progn
  33.     (setq ent (entget ent))
  34.     (setq
  35.       lyr (cdr(assoc 8 ent))
  36.       sty (cdr(assoc 7 ent))
  37.       thr (cdr(assoc 40 ent))
  38.     )
  39.    )
  40.  )
  41.   (setq nsz (getreal "\n   Enter new height for chosen text: "))
  42.   (texht lyr sty thr nsz)
  43. )
  44.      sty (cdr(assoc 7 ent))
  45.       thr (cdr(assoc 40 ent))
  46.     )
  47.    )
  48.  )
  49.   (setq nsz (getreal "\n   Enter new height for cho